#include "locale_setup.hpp"

#include <boost/locale.hpp>

#define BOOST_TEST_MODULE locale tests
#include <boost/test/unit_test.hpp>

#include <string>

using boost::locale::translate;

// Uncomment this line below for the static setup version that FAILS
LocaleSetup s_loc;

class LocaleFixture
{
private:
	// Uncomment this line below for version that WORKS
	//LocaleSetup m_loc;
};

BOOST_FIXTURE_TEST_SUITE(locale_suite, LocaleFixture)

BOOST_AUTO_TEST_CASE( narrow )
{
	std::string s = translate("Unknown host-key");
	BOOST_CHECK_EQUAL(s, "Onbekende host-sleutel");
}

BOOST_AUTO_TEST_CASE( wide )
{
	std::wstring w = translate("Unknown host-key");
	BOOST_CHECK(w == L"Onbekende host-sleutel");
}

BOOST_AUTO_TEST_SUITE_END();